Click or drag to resize

Circle Constructor (Point3d, Point3d, Point3d)

Initializes a circle through three 3d points. The start/end of the circle is at point1.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public Circle(
	Point3d point1,
	Point3d point2,
	Point3d point3
)

Parameters

point1
Type: Rhino.GeometryPoint3d

[Missing <param name="point1"/> documentation for "M:Rhino.Geometry.Circle.#ctor(Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d)"]

point2
Type: Rhino.GeometryPoint3d

[Missing <param name="point2"/> documentation for "M:Rhino.Geometry.Circle.#ctor(Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d)"]

point3
Type: Rhino.GeometryPoint3d

[Missing <param name="point3"/> documentation for "M:Rhino.Geometry.Circle.#ctor(Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d)"]

Version Information

Rhino for Mac

Supported in: 5.4

Rhino for Windows

Supported in: 6.5
See Also